# Coder UI Kit

Shared components and styles used throughout Coder's products

## Storybook

The latest build can be viewed at <https://cdr.github.io/ui>

## Installation

```bash
yarn add @coder/ui
```

## Usage

Wrap your application in the `ThemeProvider` component

```tsx
import { ThemeProvider } from "@coder/ui"

export default App: React.FC = () => (
  <ThemeProvider>
    {/* rest of your app */}
  </ThemeProvider>
)
```

Then use the components as you'd like!

### Fonts

Import the CSS of the font you'd like to use directly. Located in `@coder/ui/font/*.css`.

## Development

Run `yarn storybook` to develop locally against the storybook
